%define module_name	cdfs
%define module_release	alt3.132626.6
%define module_version	2.6.19

%define kversion	2.6.18
%define krelease	alt6
%define flavour		std-smp

%define module_dir /lib/modules/%kversion-%flavour-%krelease/kernel/drivers/block/

Summary:	Linux CDFS module
Name:		kernel-modules-%module_name-%flavour
Version:	%module_version
Release:	%module_release
License:	GPL
Group:		System/Kernel and hardware

Packager:       Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS:	Linux
URL:		http://www.elis.ugent.be/~ronsse/cdfs/
BuildRequires: kernel-build-tools >= 0.7
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq:		coreutils
Prereq:         kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch:	%ix86

%description
CDfs module for Linux kernel. CDfs is a file system that `exports' all
tracks and boot images on a CD as normal files.
Note that you don't need this module for working with CD discs.

%prep
rm -rf kernel-source-%module_name-%module_version
tar -jxvf %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%make TEMP_DIR=`pwd` -C %_usrsrc/linux-%kversion-%flavour/ V=1 modules SUBDIRS=`pwd`

%install
mkdir -p \
    %buildroot/%module_dir
%if "%kversion" <= "2.6.0"
    cp -a %module_name.o %buildroot//%module_dir
%else
    cp -a %module_name.ko %buildroot//%module_dir
%endif

%post
%post_kernel_modules %kversion-%flavour-%krelease
%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir/

%changelog
* Tue Jan 30 2007 L.A. Kostis <lakostis@altlinux.ru> 2.6.19-alt3.132626.6
- Remove unneeded patch.

* Mon Jan 29 2007 Sergey Vlasov <vsu@altlinux.ru> 2.6.19-alt2.132626.6
- Removed unneeded "Prereq: modutils".

* Mon Jan 15 2007 Andrey Rahmatullin <wrar@altlinux.ru> 2.6.19-alt1.132626.6
- 2.6.19

* Tue Dec 05 2006 L.A. Kostis <lakostis@altlinux.org> 2.6.12-alt2.132626.6
- Fix compile on 2.6.18+ kernels.

* Tue Jul 05 2005 Andrey Rahmatullin <wrar@altlinux.ru> 2.6.12-alt1.132626.6
- 2.6.12

* Sat May 14 2005 Andrey Rahmatullin <wrar@altlinux.ru> 2.6.10-alt1.132626.6
- 2.6.10
- patch1 moved to kernel-source-cdfs package

* Sun Dec 26 2004 Sergey Vlasov <vsu@altlinux.ru> 2.6.3-alt5.132626.6
- Rebuild for kernel 2.4.28.

* Sun Oct 17 2004 Sergey Vlasov <vsu@altlinux.ru> 2.6.3-alt4.132626.6
- Rebuild for kernel 2.4.27.
- Fixed unresolved symbols problem for 2.4.x kernels (Bug #4830).

* Tue Aug 03 2004 Sergey Vlasov <vsu@altlinux.ru> 2.6.3-alt3.132626.6
- Use %%post_kernel_modules and %%postun_kernel_modules macros in scripts.

* Fri May 21 2004 Albert R. Valiev <darkstar@altlinux.ru> 2.6.3-alt2.132626.6
- Fixed buildrequires (kernel-source-cdfs = %version insted of kernel-source-cdfs-%version)

* Sat May 08 2004 Andrey Rahmatullin <wrar@altlinux.ru> 2.6.3-alt1.132626.6
- initial build
